﻿using Microsoft.AspNetCore.Components;
using Portfolio.Domain.Features.TemperatureDay;
using Portfolio.Domain.Features.TemperatureRange;
using Portfolio.WebUI.Server.Components.Component.Crochet_Components;
using static Portfolio.WebUI.Server.Components.Component.Crochet_Components.TemperatureRangeEditor;

namespace Portfolio.WebUI.Server.Components.Pages.Crochet_Pages
{
    public partial class CrochetHome
    {
        public List<TemperatureDay> temperatureDays { get; set; }

        protected override async Task OnInitializedAsync()
        {
            // Placeholder for loading temperature data
            // Replace with actual API call 
            temperatureDays = Enumerable.Range(0, 365).Select(i => new TemperatureDay
            {
                Date = new DateTime(DateTime.Now.Year - 1, 1, 1).AddDays(i),
                AvgTemp = Random.Shared.Next(10, 95)
            }).ToList();



        }

    }
}
